Bug 404161 - Section III.16.3.4 Reverse Name Resolution Zone Files is missing NS Type Statement
Section III.16.3.4 Reverse Name Resolution Zone Files is missing NS Type Stat...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Deployment_Guide (Show other bugs)
5.4
All Linux
high Severity medium
: ---
: ---
Assigned To: Douglas Silas
Joshua Wulf
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-29 05:17 EST by Lutz Lange
Modified: 2016-06-17 17:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-06 18:37:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lutz Lange 2007-11-29 05:17:40 EST
Description of problem:
zone file does not work like this.

Version-Release number of selected component (if applicable):
5.0.0-19

include a name server record
Comment 1 Don Domingo 2008-01-31 20:16:23 EST
Hi Lutz, please include a link to the document/page where this error can be
found. also, please clarify the correct content to be included. thanks!

setting as NEEDINFO=llange
Comment 2 Lutz Lange 2008-08-25 08:29:25 EDT
Error is still present in Deployment_Guide-en-US-5.2-11
file:///usr/share/doc/Deployment_Guide-en-US-5.2/index.html#s2-bind-configuration-zone-reverse

This is Section 17.3.4 . The second example box shows a reverse zone file:

$ORIGIN 1.0.10.in-addr.arpa. $TTL 86400 @ IN SOA dns1.example.com. hostmaster.example.com. (
         2001062501 ; serial
         21600 ; refresh after 6 hours
         3600 ; retry after 1 hour
         604800 ; expire after 1 week
         86400 ) ; minimum TTL of 1 day

1        IN PTR dns1.example.com.
2        IN PTR dns2.example.com.
5        IN PTR server1.example.com.
6        IN PTR server2.example.com.
3        IN PTR ftp.example.com.
4        IN PTR ftp.example.com.
---

This example is still missing an NS Type entry. To be consistent with section 17.3.3 you should include:
         IN NS dns1.example.com.
         IN NS dns2.example.com.
You will need at least on NS type entry per zone file, otherwise named won't start.
Comment 3 Douglas Silas 2009-06-28 00:42:18 EDT
Re-assigning to myself
Comment 5 Douglas Silas 2009-12-01 12:47:53 EST
Adam,

I'm requesting NEEDINFO from you concerning this minor bug fix in the BIND chapter of the Deployment Guide. My question is: what should we change in the current documentation here to fix this documentation bug:

http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.4/html/Deployment_Guide/s2-bind-configuration-zone-reverse.html

Thanks for your help,

Silas
Comment 6 Lutz Lange 2009-12-02 03:22:12 EST
The file should at least have one NS entry :
$ORIGIN 1.0.10.in-addr.arpa.
$TTL 86400
@	IN	SOA	dns1.example.com.	hostmaster.example.com. (
			2001062501 ; serial
			21600      ; refresh after 6 hours
			3600       ; retry after 1 hour
			604800     ; expire after 1 week
			86400 )    ; minimum TTL of 1 day
;
; next line is new :
@       IN      NS      dns1.example.com.

1	IN	PTR	dns1.example.com.
2	IN	PTR	dns2.example.com.
;
5	IN	PTR    server1.example.com.
6	IN	PTR    server2.example.com.
;
3	IN	PTR    ftp.example.com.
4	IN	PTR    ftp.example.com.
Comment 7 Adam Tkac 2009-12-03 11:31:42 EST
Lutz Lange is absolutely right (comment #6). There is missing NS record in the zone file. You can add exact record ass Lutz suggested:

@       IN      NS      dns1.example.com.
Comment 8 Douglas Silas 2010-05-09 08:50:30 EDT
Thank you Adam!

Fixed in RHEL5 trunk, -r30650.
Fixed in RHEL6 master, 0265045.
Comment 9 John Skeoch 2010-06-06 18:37:21 EDT
http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Deployment_Guide/s2-bind-configuration-zone-reverse.html

Red_Hat_Enterprise_Linux-Deployment_Guide-5-web-en-US-4-19.el5

Verified 

Verified in RHEL6

Note You need to log in before you can comment on or make changes to this bug.